<form class="{{cssClass}} actor-sheet" autocomplete="off">

    <section id="character-{{actor.id}}-name-alias" class="flex-horizontal name-alias">

        <div class="grow-two">
            <img src="{{actor.img}}" data-edit="img" title="{{actor.name}}" class="portrait"/>
        </div>

        <div class="grow-two">
            <div id="character-{{actor.id}}-name-box">
                <label for="character-{{actor.id}}-name">{{localize "HTP.Name"}}</label>
                <input type="text" id="character-{{actor.id}}-name" class="name" name="name" value="{{actor.name}}">
            </div>

            <div id="character-{{actor.id}}-traits" class="flex-column">

                <div class="item-block flex-horizontal">
                    <div class="item-class-label"><a class="item-add-popup" data-distinct="true"
                                                     data-item-type="heritage">{{localize "BITD.Heritage"}}</a></div>
                    {{#each actor.items as |item id|}}
                        {{#if (eq item.type "heritage")}}
                            <div class="item flex-horizontal" data-item-id="{{item.id}}">
                                <div class="item-body flex-horizontal">
                                    <img src="{{item.img}}" title="{{item.name}}" width="24" height="24"/>
                                    <div class="item-name">{{item.name}}</div>
                                </div>
                                <a class="item-control item-delete" title="{{localize 'HTP.TitleDeleteItem'}}"><i
                                        class="fas fa-trash"></i></a>
                            </div>
                        {{/if}}
                    {{/each}}
                </div>

                <div class="item-block flex-horizontal">
                    <div class="item-class-label"><a class="item-add-popup" data-distinct="true"
                                                     data-item-type="background">{{localize "BITD.Background"}}</a>
                    </div>
                    {{#each actor.items as |item id|}}
                        {{#if (eq item.type "background")}}
                            <div class="item flex-horizontal" data-item-id="{{item.id}}">
                                <div class="item-body flex-horizontal">
                                    <img src="{{item.img}}" title="{{item.name}}" width="24" height="24"/>
                                    <div class="item-name">{{item.name}}</div>
                                </div>
                                <a class="item-control item-delete" title="{{localize 'HTP.TitleDeleteItem'}}"><i
                                        class="fas fa-trash"></i></a>
                            </div>
                        {{/if}}
                    {{/each}}
                </div>

                <div class="item-block flex-horizontal">
                    <div class="item-class-label"><a class="item-add-popup" data-distinct="true"
                                                     data-item-type="vice">{{localize "HTP.Vice"}}</a></div>
                    {{#each actor.items as |item id|}}
                        {{#if (eq item.type "vice")}}
                            <div class="item flex-horizontal" data-item-id="{{item.id}}">
                                <div class="item-body flex-horizontal">
                                    <img src="{{item.img}}" title="{{item.name}}" width="24" height="24"/>
                                    <div class="item-name">{{item.name}}</div>
                                </div>
                                <a class="item-control item-delete" title="{{localize 'HTP.TitleDeleteItem'}}"><i
                                        class="fas fa-trash"></i></a>
                            </div>
                        {{/if}}
                    {{/each}}
                </div>

                <div class="item-block flex-horizontal">
                    <div class="item-class-label"><a class="item-add-popup" data-distinct="true"
                                                     data-item-type="class">{{localize "HTP.Playbook"}}</a></div>

                    {{#if playbook}}
                        <div class="item flex-horizontal" data-item-id="{{playbook.id}}">
                            <div class="item-body flex-horizontal">
                                <img src="{{playbook.img}}" title="{{playbook.name}}" width="24" height="24"/>
                                <div class="item-name">{{playbook.name}}</div>
                            </div>
                            <a class="item-control item-delete" title="{{localize 'HTP.TitleDeleteItem'}}"><i
                                    class="fas fa-trash"></i></a>
                        </div>
                    {{/if}}

                </div>

            </div>
        </div>

        <div class="grow-two">
            <div id="character-{{actor.id}}-alias-box">
                <label for="character-{{actor.id}}-alias">{{localize "HTP.Alias"}}</label>
                <input type="text" id="character-{{actor.id}}-alias" class="alias" name="data.alias"
                       value="{{data.alias}}">
            </div>


        </div>

    </section>

    {{!-- Experience --}}
    <section class="flex experience">
    </section>
    {{!-- Stress and Trauma --}}
    <div id="character-{{actor.id}}-stress-trauma" class="section big-teeth-section">
        <div id="character-{{actor.id}}-stress" class="big-teeth character-stress">
            {{#multiboxes data.stress.value}}

                <input type="radio" id="character-{{actor.id}}-stress-0" name="data.stress.value" value="0"
                       dtype="Radio">
                <label class="black-label" for="character-{{actor.id}}-stress-0">{{localize data.stress.name}}</label>

                {{#times_from_1 data.stress.max}}
                    <input type="radio" id="character-{{../actor.id}}-stress-{{this}}" name="data.stress.value"
                           value="{{this}}"
                           dtype="Radio">
                    <label for="character-{{../actor.id}}-stress-{{this}}"></label>
                {{/times_from_1}}

            {{/multiboxes}}

        </div>
        <div id="character-{{actor.id}}-trauma-container" class="small-teeth-container">
            {{#traumacounter data.trauma.list}}
                <div id="character-{{actor.id}}-trauma" class="small-teeth-wrap">
                    <label class="black-label" for="character-{{actor.id}}-trauma-counter-0">{{localize
                            data.trauma.name}}</label>
                    <div id="character-{{actor.id}}-trauma-teeth" class="small-teeth">
                        <input type="radio" id="character-{{actor.id}}-trauma-counter-0" name="data.trauma.value"
                               value="0">

                        {{#times_from_1 data.trauma.max}}
                            <input type="radio" id="character-{{../actor.id}}-trauma-counter-{{this}}"
                                   name="data.trauma.value" value="{{this}}" disabled>
                            <label for="character-{{../actor.id}}-trauma-counter-{{this}}"></label>
                        {{/times_from_1}}
                    </div>
                </div>
            {{/traumacounter}}
        </div>

        <div id="character-{{actor.id}}-trauma-list" class="trauma-list">
            <label>
                <input type="checkbox" name="data.trauma.list.cold" value="cold" {{checked data.trauma.list.cold}}>
                <span class="checkmark">{{localize "BITD.TraumaCold"}}</span>
            </label>
            <label>
                <input type="checkbox" name="data.trauma.list.haunted" value="haunted" {{checked
                        data.trauma.list.haunted}}>
                <span class="checkmark">{{localize "BITD.TraumaHaunted"}}</span>
            </label>
            <label>
                <input type="checkbox" name="data.trauma.list.obsessed" value="obsessed" {{checked
                        data.trauma.list.obsessed}}>
                <span class="checkmark">{{localize "BITD.TraumaObsessed"}}</span>
            </label>
            <label>
                <input type="checkbox" name="data.trauma.list.paranoid" value="paranoid" {{checked
                        data.trauma.list.paranoid}}>
                <span class="checkmark">{{localize "BITD.TraumaParanoid"}}</span>
            </label>
            <label>
                <input type="checkbox" name="data.trauma.list.reckless" value="reckless" {{checked
                        data.trauma.list.reckless}}>
                <span class="checkmark">{{localize "BITD.TraumaReckless"}}</span>
            </label>
            <label>
                <input type="checkbox" name="data.trauma.list.soft" value="soft" {{checked data.trauma.list.soft}}>
                <span class="checkmark">{{localize "BITD.TraumaSoft"}}</span>
            </label>
            <label>
                <input type="checkbox" name="data.trauma.list.unstable" value="unstable" {{checked
                        data.trauma.list.unstable}}>
                <span class="checkmark">{{localize "BITD.TraumaUnstable"}}</span>
            </label>
            <label>
                <input type="checkbox" name="data.trauma.list.vicious" value="vicious" {{checked
                        data.trauma.list.vicious}}>
                <span class="checkmark">{{localize "BITD.TraumaVicious"}}</span>
            </label>
        </div>

    </div>

    {{!-- Harm, Healing and Armor --}}
    <section id="character-{{actor.id}}-harm-armor" class="flex harm-armor">
        <div id="character-{{actor.id}}-character-harm" class="character-harm">
            <table>
                <thead>
                <th class="black-white" colspan="4">{{localize "BITD.Harm"}}</th>
                <th class="black-white"><label>{{localize "BITD.Healing"}}</label></th>
                <th class="black-white">{{localize "HTP.Armor"}}</th>
                </thead>
                <tbody>
                <tr>
                    <td>3</td>
                    <td colspan="2">
                        <input type="text" id="character-{{actor.id}}-harm-3-1" name="data.harm.heavy.one"
                               value="{{data.harm.heavy.one}}">
                    </td>
                    <td>{{localize "HTP.NeedHelp"}}</td>
                    <td rowspan="3">
                        <div id="character-{{actor.id}}-health-clock" class="character-health-clock">
                            {{{blades-clock "data.healing-clock" 4 data.healing-clock actor.id}}}
                        </div>
                    </td>
                    <td rowspan="3" id="character-{{actor.id}}-armor-uses" class="character-armor-uses">

                    </td>
                </tr>
                <tr>
                    <td>2</td>
                    <td>
                        <input type="text" id="character-{{actor.id}}-harm-2-1" name="data.harm.medium.one"
                               value="{{data.harm.medium.one}}">
                    </td>
                    <td>
                        <input type="text" id="character-{{actor.id}}-harm-2-2" name="data.harm.medium.two"
                               value="{{data.harm.medium.two}}">
                    </td>
                    <td>-1D</td>
                </tr>
                <tr>
                    <td>1</td>
                    <td>
                        <input type="text" id="character-{{actor.id}}-harm-1-1" name="data.harm.light.one"
                               value="{{data.harm.light.one}}">
                    </td>
                    <td>
                        <input type="text" id="character-{{actor.id}}-harm-1-2" name="data.harm.light.two"
                               value="{{data.harm.light.two}}">
                    </td>
                    <td>{{localize "HTP.LessEffect"}}</td>
                </tr>
                </tbody>
            </table>
        </div>
    </section>




    {{!-- Attributes --}}
    <section class="flex-horizontal">

        <div class="tab-content flex-vertical grow-two">

            {{!-- Nav menu --}}
            <nav class="tabs flex-horizontal">
                <a class="item" data-tab="abilities">{{localize "HTP.Abilities"}}</a>
                <a class="item" data-tab="loadout">{{localize "HTP.Loadout"}}</a>
                <a class="item" data-tab="character-notes">{{localize "BITD.Notes"}}</a>
                {{#if isGM}}
                    <a class="item" data-tab="effects">{{localize "HTP.Effects"}}</a>
                {{/if}}
                <a class="item" data-tab="all-character-items">{{localize "BITD.AllItems"}}</a>
            </nav>

            <div id="character-{{actor.id}}-abilities" class="tab flex-vertical abilities" data-tab="abilities">
                <div class="label-stripe">
                    <p><label for="character-{{actor.id}}-experience-0">{{localize "HTP.Abilities"}}</label></p>
                    <p><a class="item-add-popup" data-item-type="ability"><i class="fas fa-plus-square"></i></a></p>

                </div>

                <div id="character-{{actor.id}}-abilities-list">
                    {{#each actor.items as |item id|}}
                        {{#if (eq item.type "ability")}}
                            <div class="item flex-horizontal" data-item-id="{{item.id}}">
                                <a class="item-control item-delete" title="{{localize 'HTP.TitleDeleteItem'}}">
                                    <i class="fas fa-trash"></i>
                                </a>
                                <div class="item-header">
                                    <div class="item-name">{{item.name}}</div>
                                    <div class="item-playbook">{{item.data.data.playbook}}</div>
                                </div>
                                <div class="item-description">{{{item.data.data.description}}}</div>
                            </div>
                        {{/if}}
                    {{/each}}
                </div>
                <div id="character-{{actor.id}}-experience-clues" class="experience-clues">
                    <h4 class="label-stripe">{{localize 'HTP.Experience.Label'}}</h4>
                    <ul>
                        <li>{{localize 'HTP.ExpClue1'}}</li>
                    </ul>
                    <p>{{localize 'HTP.ExpClueDescription'}}</p>
                    <ul>
                        {{#if playbook}}
                            <li>{{playbook.data.data.experience}}</li>
                        {{/if}}
                        <li>{{localize 'HTP.ExpClue2'}}</li>
                        <li>{{localize 'HTP.ExpClue3'}}</li>
                    </ul>
                </div>
            </div>

            {{!-- Owned Items Tab --}}
            <div id="character-{{actor.id}}-loadout" class="tab flex-vertical loadout" data-tab="loadout">
                <div class="label-stripe flex-horizontal">
                    <p>{{localize "HTP.Loadout"}} <a class="item-add-popup" data-item-type="item"><i
                            class="fas fa-plus-square"></i></a></p>
                    <p>{{data.loadout}}/{{localize data.load_level}} </p>
                    <div class="dropdown">
                        <select name="data.selected_load_level">
                            {{selectOptions load_levels selected=data.selected_load_level localize=true}}
                        </select>
                    </div>
                </div>
                <div>
                    {{#each actor.items as |item id|}}
                        {{#if (eq item.type "item")}}
                            <div class="item flex-horizontal" data-item-id="{{item.id}}">
                                <div class="item-body flex-horizontal">
                                    <img src="{{item.img}}" title="{{item.name}}" width="24" height="24"/>
                                    <div class="item-name">{{item.name}}</div>
                                    <div class="item-description">{{{item.data.description}}}</div>
                                </div>
                                <a class="item-control item-delete" title="{{localize 'HTP.TitleDeleteItem'}}"><i
                                        class="fas fa-trash"></i></a>
                            </div>
                        {{/if}}
                    {{/each}}
                    <div class="item-class-label"><a class="item-add-popup" data-item-type="item">{{localize
                            "BITD.AddItem"}}</a></div>
                </div>
            </div>

            <div id="character-{{actor.id}}-experience"
            <div class="tab flex-vertical" data-tab="character-notes">
                <div class="label-stripe">
                    <p>{{localize "BITD.Notes"}}</p>
                </div>
                <textarea rows="13" name="data.description">{{{data.description}}}</textarea>
            </div>

            {{!-- Active Effects --}}
            <div id="character-{{actor.id}}-effects" class="tab effects flex-vertical" data-tab="effects">
                <div class="label-stripe">
                    <p>{{localize "HTP.Effects"}}</p>
                </div>
                {{> "systems/hack-the-planet/templates/parts/active-effects.hbs"}}
            </div>

            {{!-- Full Item List --}}
            <div class="tab grow-two flex-vertical" data-tab="all-character-items">
                <div class="label-stripe">
                    <p><label>{{localize "BITD.AllItems"}}</label></p>
                </div>
                {{#each actor.items as |item id|}}
                    <div class="item flex-horizontal" data-item-id="{{item.id}}">
                        <div class="item-body item-sheet-open flex-horizontal">
                            <img src="{{item.img}}" title="{{item.name}}" width="24" height="24"/>
                            <div class="item-name">{{item.name}}</div>
                        </div>
                        <a class="item-control item-delete" title="{{localize 'HTP.TitleDeleteItem'}}"><i
                                class="fas fa-trash"></i></a>
                    </div>
                {{/each}}
            </div>

        </div>
        {{!-- Attributes --}}

    </section>

</form>
